2014-03-12 09:25 -0700  Brendan Cully  <brendan@kublai.com>  (07556816c588)

	* build-release: build-release: make sure version is picked up by
	autoconf

	* mkchangelog.sh: mkchangelog: only show log entries on current branch

	* build-release: No more devel

2014-03-11 10:04 -0700  Michael Elkins  <me@sigpipe.org>  (3c13c4188912)

	* UPDATING: add user visible changes since 1.5.22 release.

	* copy.c: Fix buffer overrun caused by not updating a string length
	after address expansion.

2013-10-24 09:55 -0700  Michael Elkins  <me@sigpipe.org>  (3d5e23a66a1a)

	* init.h: remove trailing period from documentation for
	$pgp_list_secring_command

	* init.h: remove trailing period from documentation for
	$pgp_list_pubring_command

2013-04-26 12:10 -0700  Kevin McCarthy  <kevin@8t8.us>  (914e13a3694d)

	* postpone.c: Fix postpone/resume to not remove a Mail-Followup-To
	header (closes #3070)

	This solution changes mutt_prepare_template() to check whether the
	message_id field is NULL to decide whether to wipe the message-id
	and mail-followup-to headers when instantiating the message.

	If we are resending a message, we don't want the previous message-id
	and mail-followup-to headers. If we are resuming a postponed
	message, however, we want to keep the mail-followup-to header if any
	was set before the postpone. (grafted from
	d7d83298011a6e7aa31bde49e0b6b21209a85fd2)

2013-10-22 15:12 -0500  Aaron Schrab  <aaron@schrab.com>  (4a24e6233a5f)

	* version.sh: version.sh: step back from $() to ``. closes #3661
	(grafted from 01cf5814dfe5e79b65b1d950aab1276d19a9f031)

2013-07-14 19:48 -0700  Kevin McCarthy  <kevin@8t8.us>  (b5c894182719)

	* muttlib.c: Allow filename prompt when saving multiple attachments to
	a directory. (closes #3083)

	Currently, if you specify a directory when saving multiple
	attachments and choose (a)ll, the first attachment is saved without
	confirming the filename. Subsequent attachments prompt for the
	filename.

2013-10-04 18:22 +0000  Michael Elkins  <me@sigpipe.org>  (95a2230ef889)

	* mutt.h, postpone.c, send.c: When recalling a postponed message that
	does not have a x-mutt-fcc header field, generate a default FCC just
	as we do for new messages. If x-mutt-fcc is present but empty, we
	assume that means the user does not want a copy.

	closes #3653

2013-10-23 11:11 -0700  Michael Elkins  <me@sigpipe.org>  (331d48da153b)

	* crypt-gpgme.c: Ensure that at least one signature was generated to
	catch the case where $pgp_sign_as is unset and no default key is
	specified in ~/.gnupg/gpg.conf

	closes #3658

2013-10-06 09:15 -0700  Michael Elkins  <me@sigpipe.org>  (99d913f46eb9)

	* handler.c, smime.c: use LOFF_T as the type for variables used in
	fseeko()

	closes #3487

2013-10-04 18:04 +0000  Michael Elkins  <me@sigpipe.org>  (dd67e8649ea4)

	* crypt-gpgme.c: Display the KeyID when the pubkey is not found in the
	user's keyring during signature verification.

	closes #3654

2013-10-23 11:11 -0700  Michael Elkins  <me@sigpipe.org>  (db3028e34ce0)

	* mutt_ssl_gnutls.c: return 0 if import of cert failed to match other
	error conditions.

2013-10-23 11:11 -0700  Michael Elkins  <me@sigpipe.org>  (4dde4bcda519)

	* mutt_ssl_gnutls.c: only terminate the write-half of the TLS
	connection to avoid hanging if the remote doesn't respond.

	RFC5246 section 7.2.4 states that the initiator of the closure need
	not wait for the remote to response before closing the read-half.

	closes #3633

2013-10-22 21:11 -0700  Brendan Cully  <brendan@kublai.com>  (2ab618f4f6b0)

	* create stable branch

2013-10-21 11:58 -0700  Michael Elkins  <me@sigpipe.org>  (0d9d7c486331)

	* doc/manual.xml.head: add note about use of ! ~Q in send-hook when
	paired with reply-hook.

2013-10-19 11:23 -0700  Michael Elkins  <me@sigpipe.org>  (84acf5f0ce92)

	* crypt-gpgme.c: remove <stdbool.h> and use "1" instead of "true".
	closes #3657

	see #3642 for the change that caused this bug.

2013-10-18 14:12 -0700  Michael Elkins  <me@sigpipe.org>  (b9693e10f431)

	* UPDATING: update UPDATING with 1.5.22 release date

2013-10-17 22:55 -0700  Brendan Cully  <brendan@kublai.com>  (6f5fe49fdf64)

	* .hgsigs: mutt-1.5.22 signed

2013-10-17 22:43 -0700  Brendan Cully  <brendan@kublai.com>  (941ba77040a8)

	* .hgtags: Added tag mutt-1-5-22-rel for changeset 8c5ea668e7e0

2013-10-17 22:43 -0700  Brendan Cully  <brendan@kublai.com>  (8c5ea668e7e0)

	* ChangeLog, VERSION, po/bg.po, po/ca.po, po/cs.po, po/da.po,
	po/de.po, po/el.po, po/eo.po, po/es.po, po/et.po, po/eu.po,
	po/fr.po, po/ga.po, po/gl.po, po/hu.po, po/id.po, po/it.po,
	po/ja.po, po/ko.po, po/lt.po, po/nl.po, po/pl.po, po/pt_BR.po,
	po/ru.po, po/sk.po, po/sv.po, po/tr.po, po/uk.po, po/zh_CN.po,
	po/zh_TW.po: automatic post-release commit for mutt-1.5.22

2013-10-16 16:04 +0000  Michael Elkins  <me@sigpipe.org>  (5648f4b2ed44)

	* rfc822.c: Rework logic to avoid advancing list pointer inside the
	for loop.

	closes #3531

2013-10-15 15:41 +0000  Ivan Vilata i Balaguer  <ivan@selidor.net>  (20954d6af1b1)

	* po/ca.po: updated Catalan translation

2013-10-11 15:51 +0000  Vsevolod Volkov  <vvv@mutt.org.ua>  (d60465c5ee6a)

	* po/uk.po: updated Ukranian translation

2013-10-11 15:49 +0000  Tamotsu TAKAHASHI  <ttakah@lapis.plala.or.jp>  (b9ba481ed72a)

	* po/ja.po: updated Japanese translation

2013-10-07 17:32 +0000  Michael Elkins  <me@sigpipe.org>  (804e46bc366e)

	* doc/pgpewrap.man, doc/pgpring.man: add missing files that were
	supposed to be included with
	[76f8df0ac80396559aa80e7f145be6f235a6db51]

2013-10-07 17:21 +0000  hhorak  <hhorak@redhat.com>  (76f8df0ac803)

	* doc/Makefile.am, doc/PGP-Notes.txt: adds some missing options in doc
	and adds man pages for binaries pgpewrap and pgpring.

	closes #3643

2013-10-07 17:09 +0000  esr  <esr@thyrsus.com>  (8d888e4d4f0b)

	* doc/makedoc.c, doc/muttrc.man.head: Problems with muttrc.5:

	Ambiguous or invalid backslash. This doesn't cause groff a problem.
	but it confuses doclifter and may confuse older troff
	implementations.

	Unknown or invalid macro. That is, one that does not fit in the
	macro set that the man page seems to be using. This is a serious
	error; it often means part of your text is being lost or rendered
	incorrectly.

	Use local definitions of .EX/.EE or .DS/.DE to avoid low-level troff
	requests in the page body. There are plans to add these to groff
	man; in the interim, this patch adds a compatible definition to your
	page.

2013-10-07 16:10 +0000  esr  <esr@thyrsus.com>  (02234de89d2a)

	* doc/mutt.man: Problems with mutt.1:

	Ambiguous or invalid backslash. This doesn't cause groff a problem.
	but it confuses doclifter and may confuse older troff
	implementations.

	Spelling error or typo.

2013-10-06 09:31 -0700  nihilhill  <nihilhill@gmail.com>  (24bb691dcde7)

	* crypt-gpgme.c: include <stdbool.h> for definition 'true'

	closes #3642

2013-10-05 15:57 +0800  Kevin McCarthy  <kevin@8t8.us>  (035306822940)

	* attach.c: Fix segfault when viewing text attachments in compose
	menu. (closes #3644)

	The segfault was introduced in changeset b9f9e3147eb4. Since
	decoding and charset conversion aren't needed for attachments when
	composing a message, this patch reverts to just using
	mutt_save_attachment() to view "raw data" for text attachments in
	the compose/send case.

	This patch is based on Michael Elkins' patch at http://dev.mutt.org/
	trac/attachment/ticket/3644/view_attach_compose_segfault with just a
	missing return value check added.

2013-10-06 14:32 +0000  Aaron Schrab  <aaron+mutt@schrab.com>  (6bcde5f1c7a7)

	* commands.c, hook.c, imap/command.c, imap/imap.c: Ensure that BUFFER
	variables are initialized to prevent later attempts to traverse an
	uninitialized pointer.

2013-10-05 19:25 +0000  Aaron Schrab  <aaron+mutt@schrab.com>  (132861c8b4e9)

	* commands.c, hook.c, imap/command.c, imap/imap.c, imap/message.c,
	init.c, keymap.c, pattern.c, score.c: Consistently use
	mutt_buffer_init function

	Despite the existence of the mutt_buffer_init function, most
	initializations were instead done with memset. Use the specific
	function instead to make it easier if later changes are made to how
	the initialization should be done.

2013-10-04 16:47 +0000  Michael Elkins  <me@sigpipe.org>  (0beba37c336b)

	* crypt-gpgme.c, handler.c, init.c, pop_auth.c: fix more comment typos

2013-07-23 14:07 +0200  Ondřej Bílka  <neleai@seznam.cz>  (bc7e7cf0fed3)

	* compose.c, crypt-gpgme.c, crypt-mod.h, curs_lib.c, date.c,
	doc/makedoc.c, editmsg.c, handler.c, imap/util.c, init.c,
	intl/gettextP.h, intl/plural.c, keymap.c, lib.c, mbox.c, mkdtemp.c,
	mutt.h, mutt_menu.h, mutt_ssl.c, mutt_ssl_gnutls.c, muttlib.c, mx.c,
	parse.c, pattern.c, pop.c, pop_auth.c, pop_lib.c, recvcmd.c,
	regex.c, send.c, signal.c, smime.c, snprintf.c, sort.h, thread.c:
	fix typos in comments

2013-04-16 20:12 -0700  Kevin McCarthy  <kevin@8t8.us>  (d3096e8796e7)

	* pager.c: Don't exit pager if quit=ask is answered "no".

	This patch addresses ticket 2788.

	Currently if you quit ('Q') from inside the pager, with quit=ask-yes
	or quit=ask-no, and you respond "no", mutt leaves you back in the
	index menu.

	This patch changes it so that mutt does not exit the pager.

2013-04-11 02:17 +0000  Michael Elkins  <me@sigpipe.org>  (4c5163272b9c)

	* browser.c, enter.c, imap/message.c, init.c, mbox.c, muttlib.c, mx.c,
	pop.c, query.c, smime.c, system.c: backout c1371176ea45

2013-04-11 01:59 +0000  Michael Elkins  <me@sigpipe.org>  (f99e91980f0f)

	* getdomain.c, init.c: Backed out changeset 1142ed8974fa

2013-04-10 23:40 +0000  Michael Elkins  <me@sigpipe.org>  (1142ed8974fa)

	* getdomain.c, init.c: use gethostname() to determine the system host
	name

	use getaddrinfo() to look up canonical DNS name, and fall back to
	hinting from /etc/resolv.conf

	see #3298

2013-04-10 22:38 +0000  Michael Elkins  <me@sigpipe.org>  (c1371176ea45)

	* browser.c, enter.c, imap/message.c, init.c, mbox.c, muttlib.c, mx.c,
	pop.c, query.c, smime.c, system.c: fix various compiler warnings;
	most were due to unchecked return values from system calls.

2013-03-04 04:14 +0000  is  <is@netbsd.org>  (d498f0e91914)

	* lib.c: use mkdtemp() to create temporary directory rather than
	mktemp() followed by mkdir()

	closes #3637

2013-02-23 03:12 +0000  Michael Elkins  <me@sigpipe.org>  (4c16c0d1ba9e)

	* pop.c, pop_lib.c: use of sscanf() had undefined behavior, replace
	with simple parsing instead

	see #3636

2013-02-22 18:31 +0000  Michael Elkins  <me@sigpipe.org>  (c7eff98bb299)

	* smime.c: increase string size by one byte to accomodate the
	terminating null character in fscanf() since the maximum field width
	does not include it

	closes #3636

	hat tip: Will Fiveash

2013-02-22 16:30 +0000  john beck  <john.beck@oracle.com>  (14596ac2b323)

	* rfc1524.c, sendlib.c: fix potential buffer overflow in off-by-one
	bounds checking error

	closes #3635

2013-02-08 17:06 +0000  Michael Elkins  <me@sigpipe.org>  (302044b4ed3f)

	* curs_lib.c: explicitly call mutt_refresh() prior to endwin() to
	force a screen redraw.

	[4903e80356d3] removed the call, but some environments (screen+xterm
	under SuSE11/12) don't properly flush without it prior to the
	endwin() call

2013-01-31 05:06 +0000  Michael Elkins  <me@sigpipe.org>  (2a1c5d3dd72e)

	* curs_lib.c: do not use mutt_message() to display prompt in
	mutt_yesorno().

	properly calculate screen width of prompt string by using
	mutt_strwidth() rather than strlen()

	use safe_asprintf() return the formatted yes/no string since
	specifying COLS+1 is wrong when dealing with multibyte characters

	closes #3412 closes #3352

2013-01-23 21:52 +0000  Michael Elkins  <me@sigpipe.org>  (b86b154f3988)

	* buffy.c, buffy.h, mh.c, mx.h: add support for $mail_check_recent to
	mh mailbox driver

	closes #3629

2013-01-23 19:52 +0000  Michael Elkins  <me@sigpipe.org>  (4903e80356d3)

	* curs_lib.c: do not explicitly reset the terminal attributes and move
	the cursor in mutt_endwin(). endwin() itself should handle this.

	closes #3627

2013-01-22 02:02 +0000  Michael Elkins  <me@sigpipe.org>  (acc8b2afdf29)

	* configure.ac: remove PKG_CHECK_MODULE() check and always use
	AC_CHECK_HEADERS()

	only check for <idn/idna.h> when <idna.h> isn't found

	closes #3626

2013-01-20 21:45 +0000  Michael Elkins  <me@sigpipe.org>  (98e031cd81d4)

	* configure.ac, main.c, mutt_idna.h: use pkg-config to look for libidn
	if available.

	checking <idn/idna.h> rather than including -I/usr/include/idn for
	Solaris 11.

	closes #3624

2013-01-17 23:04 +0000  Michael Elkins  <me@sigpipe.org>  (7fcc0049f250)

	* attach.c: backout [392e945dfba7]

	closes #3293 see #3234

2013-01-17 23:03 +0000  Michael Elkins  <me@sigpipe.org>  (b9f9e3147eb4)

	* attach.c: when falling back to viewing an attachment as text in the
	internal pager, perform charset conversion

	this change is meant to replace [392e945dfba7]

	see #3234 see #3293

2013-01-17 02:43 +0000  Michael Elkins  <me@sigpipe.org>  (571e945d6544)

	* hcache.c, hcache.h, imap/util.c, mh.c, pop.c: use a separate flag
	for mutt_hcache_store() to signal that the gettimeofday() value
	should be substituted, so that a 0 uidvalidity can be used by the
	imap driver.

	closes #3501

2013-01-17 02:10 +0000  Michael Elkins  <me@sigpipe.org>  (b58cdfacfb89)

	* attach.c, handler.c, protos.h: change semantics of
	mutt_is_autoview() to return 1 if there is a matching mailcap entry
	and either $implicit_autoview is set or the MIME type matches the
	user's auto_view list.

	closes #3496 closes #3426

2013-01-14 20:39 -0800  Michael Elkins  <me@mutt.org>  (1a75c9e477b4)

	* from.c: detect pipermail-style obscured return path in mbox From
	lines

	see #1200

2013-01-14 19:23 -0800  Michael Elkins  <me@mutt.org>  (8c75478735a3)

	* curs_main.c: allow use of sync-mailbox when the current limit has no
	visible messages

	closes #3538

2013-01-14 08:50 -0800  Michael Elkins  <me@sigpipe.org>  (05cd8d0d1450)

	* handler.c: avoid debug warning about trailing whitespace in a base64
	encoded attachment

	closes #3558

2013-01-04 04:05 +0000  Michael Elkins  <me@sigpipe.org>  (90f7869decec)

	* Makefile.am: When "make install" fails to chgrp or chmod the
	mutt_dotlock binary, add the reason why we are doing this so the
	user knows what to look for.

2013-01-03 16:12 -0800  Michael Elkins  <me@sigpipe.org>  (d7d26c40e1e5)

	* pager.c: Fix regression introduced by [10cc06eff52b] where the
	CLEARLINE() removal was not replaced by a move() to position the
	cursor at the correct location to draw the status bar.

	closes #3619

2013-01-03 19:04 +0000  Michael Elkins  <me@sigpipe.org>  (7fe92ce1cfc1)

	* parse.c: Remove unused variable `matched'.

2013-01-03 19:04 +0000  Michael Elkins  <me@sigpipe.org>  (6f4ce8ce80a7)

	* parse.c: Fix memory leak when multiple x-label or supersedes header
	fields exist in the header.

	In order to keep the current behavior where the value of the last
	header field present is the one used, free any previous value.

2013-01-03 08:03 -0800  Michael Elkins  <me@sigpipe.org>  (21457574a9b6)

	* main.c: Backed out changeset bf84f24e512d

2013-01-02 23:43 +0000  Michael Elkins  <me@sigpipe.org>  (bf84f24e512d)

	* main.c: display +/-NCURSES_WIDECHAR when displaying ncurses version
	to show whether we are linked against -lncurses or -lncursesw

2013-01-01 21:39 +0100  Matthias Andree  <matthias.andree@gmx.de>  (ea52317444ef)

	* hcache.c: Drop unneeded variable HEADER_CACHE that causes clang
	warnings.

	The variable was unused and clang warned that it was not emitted to
	the .o file.

2012-12-31 23:29 +0000  Michael Elkins  <me@sigpipe.org>  (32ec63debe52)

	* init.h: fix xml validation error in manual.xml in auto-generated
	content due to missing paragraph mark in the $editor docstring

2012-12-31 15:03 -0800  guns  <self@sungpae.com>  (474e9e809054)

	* rfc822.c: Fix accidental var redeclation with --enable-exact-address

	closes #3615

2012-12-31 14:54 -0800  Michael Elkins  <me@sigpipe.org>  (bf6bf2a80c35)

	* merge

2012-12-31 14:52 -0800  Michael Elkins  <me@sigpipe.org>  (5196c3d6c5d0)

	* curs_lib.c: reset to color normal before clearing to end of line
	when printing a message/error string

	closes #3617

2012-12-31 19:06 +0000  Michael Elkins  <me@sigpipe.org>  (ca67a3dad949)

	* doc/gen-map-doc: update regexp to include const keyword. The auto
	generated documentation of functions was failing due to a change in
	the source code format.

2012-12-30 19:48 -0800  Antonio Radici  <antonio@dyne.org>  (b1b49019fec0)

	* headers.c: Ensure that the in-reply-to header field was actually
	present before deciding it was removed.

	closes #3378

2012-12-30 19:17 -0800  Michael Elkins  <me@sigpipe.org>  (a90f57e0adbd)

	* ChangeLog: update ChangeLog

2012-12-30 19:14 -0800  Michael Elkins  <me@sigpipe.org>  (c03ba94d8750)

	* imap/message.c: add __FREE_CHECKED__

2012-12-30 19:12 -0800  Michael Elkins  <me@sigpipe.org>  (f7247ad288e7)

	* UPDATING: document the TLS changes since 1.5.21

2012-12-30 18:49 -0800  Michael Elkins  <me@sigpipe.org>  (10cc06eff52b)

	* color.c, compose.c, curs_lib.c, curs_main.c, menu.c, mutt_curses.h,
	pager.c, remailer.c: make the SETCOLOR() macro use bkgdset() on
	systems which have it, and attrset() when we don't.

	closes #3005

2012-12-30 09:26 -0800  Michael Elkins  <me@sigpipe.org>  (8c0b9ddee11f)

	* configure.ac: remove m4_translit because it generates a warning with
	newer versions of autoconf when used in AC_INIT. Instead, use tr -d
	to output the version string without a trailing newline.

2012-12-27 21:04 -0800  Michael Elkins  <me@mutt.org>  (b0265d385207)

	* version.sh: restore ability for version.sh to cope with a repository
	directory with a space in it.

2012-12-27 20:33 -0800  Aaron Schrab  <aaron@schrab.com>  (13c9a5d820f2)

	* configure.ac, version.sh: Use the directory where the version.sh
	script is located as the directory where it is run. Since this will
	be run in a separate shell anyway, there's no need to worry about
	changing current directory.

	This eliminates the need for the caller to specify where the source
	directory is located, and doesn't require that the code take special
	care to use the appropriate directory. The fallback method of using
	`cat VERSION` was broken in this respect, it would not work when run
	from a different directory.
	--- configure.ac | 2 +- version.sh | 7 ++++--- 2 files
	changed, 5 insertions(+), 4 deletions(-)

2012-12-27 17:37 -0800  Michael Elkins  <me@sigpipe.org>  (0f281c548d69)

	* configure.ac: use [] around body of AC_CHECK_HEADER to avoid
	problems with older versions of autoconf

2012-12-27 18:56 -0800  Michael Elkins  <me@mutt.org>  (8728418605fd)

	* configure.ac: avoid using m4_esyscmd_s() since it is not available
	in older versions of autoconf. use m4_esyscmd() and m4_translit()
	to whack the newline instead.

	see #3613

2012-12-22 18:00 -0800  Michael Elkins  <me@sigpipe.org>  (de974f67eba3)

	* configure.ac, init.h, mutt_ssl.c: Uses SSLv23_client_method() in
	mutt_ssl_starttls() because TLSv1_2_client_method() does not honor
	the SSL_OP_NO_TLS* flags.

	closes #3612

2012-12-22 15:04 -0800  Michael Elkins  <me@sigpipe.org>  (d07c9ee9a92b)

	* configure.ac: If neither --with-idn nor --without-idn are given, use
	-I/usr/include/idn when checking for the libidn header files, if
	present (needed for Solaris 11).

	Don't bother checking for the idna_* functions if we didn't find
	-lidn

2012-12-21 11:17 +0100  Matthias Andree  <matthias.andree@gmx.de>  (7d55bad3b11f)

	* patchlist.sh: Fix VPATH-based generation of non-hg-mq based
	patchlists.

	Note: Makefile.am runs patchlist.sh with $(srcdir)/PATCHES provided
	on stdin.

2012-12-21 11:07 +0100  Matthias Andree  <matthias.andree@gmx.de>  (759dd53302a0)

	* version.sh: Fix VPATH build outside Mercurial repositories.

2012-12-21 12:37 -0800  Michael Elkins  <me@sigpipe.org>  (494af2a964cb)

	* Makefile.am: add version.sh and check_sec.sh to EXTRA_DIST so they
	are including in the "make dist" output.

2012-12-20 21:13 -0800  Michael Elkins  <me@mutt.org>  (5554d811eb99)

	* imap/util.c: fix forgotten RETSIGTYPE change id [18a724e9eba0]

2012-12-20 20:49 -0800  Michael Elkins  <me@mutt.org>  (18a724e9eba0)

	* configure.ac, sendlib.c, signal.c: remove deprecated check for
	signal() return type

2012-12-20 20:45 -0800  Michael Elkins  <me@mutt.org>  (6de2578088ab)

	* configure.ac: update configure.ac with autoupdate

2012-12-20 20:34 -0800  Michael Elkins  <me@mutt.org>  (fe28a8bdd598)

	* configure.ac: change AM_CONFIG_HEADER to AC_CONFIG_HEADERS and move
	it after the AM_INIT_AUTOMAKE. config.h was not being generated
	from the dist package.

2012-12-20 17:09 -0800  Michael Elkins  <me@sigpipe.org>  (21c085ae6e8f)

	* configure.ac: modernize intialization of configure.ac

2012-12-21 00:38 +0100  Matthias Andree  <matthias.andree@gmx.de>  (0703095bf52d)

	* Makefile.am: Fix 'make distcheck': missing txt2c* and po/mutt.pot
	cleanup

2012-12-20 14:44 -0800  Michael Elkins  <me@sigpipe.org>  (f8774119c433)

	* menu.c: remove redundant #include statements

2012-12-20 14:40 -0800  Michael Elkins  <me@sigpipe.org>  (489031af8fdd)

	* menu.c: remove extern decl for Charset_is_utf8 since menu.c includes
	mbyte.h which has the same decl.

2012-12-20 11:20 -0800  Michael Elkins  <me@mutt.org>  (6674c087fd4f)

	* configure.ac: backout out changeset 36b0cc717ecc

2012-12-19 15:26 -0800  Michael Elkins  <me@sigpipe.org>  (879c9516154c)

	* crypt-gpgme.c: allow for CRLF line endings when comparing for the
	OpenPGP block identifiers

	adapted from http://svnweb.freebsd.org/ports/head/mail/mutt/files
	/patch-pgp?revision=301308&view=markup

2012-12-19 14:52 -0800  Michael Elkins  <me@sigpipe.org>  (41089c2982e3)

	* pager.c: support nbsp in the pager.

	imported from http://svnweb.freebsd.org/ports/head/mail/mutt/files
	/patch-nbsp?revision=301308&view=markup

2012-12-19 14:40 -0800  Michael Elkins  <me@sigpipe.org>  (fd2d94a0eb20)

	* configure.ac: detect newer BDB versions up to 5.2

	imported from http://svnweb.freebsd.org/ports/head/mail/mutt/files
	/patch-bdb?revision=301308&view=markup

2010-07-22 20:06 +0200  Fabian Groffen  <grobian@gentoo.org>  (bc39bac75ea8)

	* regex.c: http://thread.gmane.org/gmane.mail.mutt.devel/15710

	Interix doesn't have btowc, but it does have mbtowc. Linux manpage
	also discourages the use of btowc.

2012-12-19 13:29 -0800  Petr Pisar  <petr.pisar@atlas.cz>  (f7bd9642217f)

	* po/cs.po: updated cs.po

2012-12-19 11:56 -0800  Michael Elkins  <me@sigpipe.org>  (73900ca5db9a)

	* menu.c: use WACS_* macros for printing wide versions of the line
	drawing characters when linking against ncursesw.

	This patch is based on http://prefix.gentooexperimental.org:8000
	/mutt-patches/file/fea851a2808f/solaris-ncurses-chars.patch

2012-12-19 11:08 -0800  Michael Elkins  <me@sigpipe.org>  (36b0cc717ecc)

	* configure.ac: make configure define _POSIX_C_SOURCE, _XOPEN_SOURCE
	and _XOPEN_SOURCE_EXTENDED to comply with POSIX.1-2008 and XSI
	conforming applications.

2012-12-19 06:57 -0800  Vsevolod Volkov  <vvv@mutt.org.ua>  (52219fecdac8)

	* po/ru.po: update ru.po

2012-12-19 06:55 -0800  Vincent Lefevre  <vincent@vinc17.org>  (caf64f14142d)

	* charset.c: remove duplicate const keyword

2012-12-18 20:46 -0800  Michael Elkins  <me@mutt.org>  (940e528ef852)

	* mutt_ssl.c: disable tls v1.1/1.2 in mutt_ssl_starttls() based on
	$ssl_use_tlsv1_*

	see #3571

2012-12-18 20:38 -0800  Michael Elkins  <me@mutt.org>  (6bdd35fb3378)

	* mutt_ssl_gnutls.c: add support for TLSv1.1/1.2 when using GNUTLS.

	see #3571

2012-12-18 19:44 -0800  hncaldwell  <hncaldwell>  (fab920f01ca7)

	* init.h, mutt.h, mutt_ssl.c: add variables for disabling TLSv1.1/1.2
	when compiled against OpenSSL 1.0.1

	see #3571

2012-12-18 13:50 -0800  Michael Elkins  <me@mutt.org>  (f251d523ca5a)

	* headers.c, lib.h, mutt_crypt.h, parse.c, pop_lib.c, postpone.c,
	rfc1524.c, rfc822.c, send.c, sendlib.c, url.c: rename iswsp() to
	is_email_wsp()

	add new inline funtion skip_email_wsp() to be used in lieu of
	SKIPWS() when parsing ASCII protocols rather than user input.

	change use of SKIPWS() to skip_email_wsp() in places where it is
	likely to be a problem.

2012-12-18 02:21 -0800  Michael Elkins  <me@mutt.org>  (897dcc62e4aa)

	* sendlib.c: fix problem where mutt_substrdup() was called with the
	start pointer > end pointer, as a result of using SKIPWS(). This
	occurred because the header field had an empty body, so the trailing
	newline was skipped over. The fix is to just skip over ascii space
	and htab.

	closes #3609

2012-12-18 01:53 -0800  Honza Horak  <hhorak@redhat.com>  (d7f4b2e2b09a)

	* mutt_ssl_gnutls.c: if the peer's x.509 cert is not valid, we need to
	allow the user to inspect it even if the digital signatures are
	valid

	closes #3506

2012-12-17 20:42 -0800  Vincent Lefevre  <vincent@vinc17.org>  (722c47f6ede9)

	* po/fr.po: updated fr.po

2012-12-17 17:09 -0800  Honza Horak  <hhorak@redhat.com>  (ca4747442189)

	* pop.c: fix segfault in pop driver. when rereading the message
	header, the ENVELOPE* struct is freed, but ctx->subj_hash retains a
	pointer to env->real_subj, so the hash table entry must be deleted
	prior to calling mutt_free_envelope()

	http://pkgs.fedoraproject.org/cgit/mutt.git/tree/mutt-1.5.21-pophash
	.patch?h=f18

2012-12-17 16:47 -0800  Petr Pisar  <petr.pisar@atlas.cz>  (9f8e41dd4e1d)

	* crypt-gpgme.c: Fix NULL pointer dereference in notation name

	closes #3574

2012-12-17 10:39 -0800  Michael Elkins  <me@sigpipe.org>  (e6b271ed1d7f)

	* configure.ac, mutt_ssl.c: use TLSv1.2 if available in the system
	OpenSSL when using starttls

2012-12-17 10:09 -0800  Michael Elkins  <me@sigpipe.org>  (d77d81a69999)

	* mutt_ssl.c: use SSL_get_version() to display the actual SSL protocol
	used rather than the fixed string SSL.

2012-12-16 20:23 -0800  Andrew Gaul  <andrew@gaul.org>  (ed06326ae8a8)

	* doc/dotlock.man, doc/makedoc.c, doc/smime_keys.man, po/bg.po,
	po/ca.po, po/cs.po, po/da.po, po/de.po, po/el.po, po/eo.po,
	po/es.po, po/et.po, po/eu.po, po/fr.po, po/ga.po, po/gl.po,
	po/hu.po, po/id.po, po/it.po, po/ja.po, po/ko.po, po/lt.po,
	po/nl.po, po/pl.po, po/pt_BR.po, po/ru.po, po/sk.po, po/sv.po,
	po/tr.po, po/uk.po, po/zh_CN.po, po/zh_TW.po, rfc1524.c: Correct
	typos

2012-12-16 19:33 -0800  Michael Elkins  <me@mutt.org>  (5e745e37fe6e)

	* init.h: update documentation for $pgp_getkeys_command to note that
	%r is replaced with the email address, not the public key ID

	closes #1208

2012-12-16 13:28 -0800  Michael Elkins  <me@mutt.org>  (1cc05de753c2)

	* rfc822.c, rfc822.h: use new function iswsp() in place of isspace()
	when testing for whitespace.

	closes #3608 closes #2956

2012-12-15 07:48 -0800  Michael Elkins  <me@mutt.org>  (8aee8497cc2b)

	* imap/command.c, imap/imap.c, imap/imap_private.h, imap/message.c,
	imap/util.c: make imap_private.h include message.h for
	IMAP_HEADER_DATA definition

	cast &ctx->data to IMAP_HEADER_DATA** to fix compiler warning

	imap_free_header_data should check for *data being NULL, rather than
	"data"

2012-09-09 19:54 -0700  Andrew Gaul  <andrew@gaul.org>  (d39813193f27)

	* imap/imap_private.h, imap/message.c: Make imap_free_header_data
	type-safe

	Also push conditional into function for safety and consistency with
	other free functions.

2012-12-08 12:31 +0100  Matthias Andree  <matthias.andree@gmx.de>  (c4c65eadeb71)

	* Makefile.am: Fix VPATH build by running txt2c.sh from ${srcdir}
	rather than ".".

2012-12-07 09:51 -0800  Michael Elkins  <me@sigpipe.org>  (d626fb87c489)

	* crypt-gpgme.c: invoke gpgme_check_version() as required to
	initialize the library.

	move locale code to initialization function.

	closes #3300

2012-12-06 07:56 -0800  Michael Elkins  <me@mutt.org>  (ed5ad234aeed)

	* init.h: additional documentation for $editor. closes #3602

2012-12-01 14:48 -0800  Michael Elkins  <me@mutt.org>  (dace74dd904a)

	* doc/manual.xml.head: list-reply documentation should mention its
	behavior wrt the List-Post header field.

	closes #3599

2012-12-01 14:32 -0800  Michael Elkins  <me@mutt.org>  (109ebf6d4e53)

	* send.c: don't perform rfc3676 space stuffing when recalling a
	postponed message where it has already been done.

	closes #3600

2012-12-01 14:31 -0800  Michael Elkins  <me@mutt.org>  (2bf065dd23d6)

	* ascii.c: make ascii_strcasecmp properly handle unequal length
	strings with the same prefix

	closes #3601

2012-10-16 18:13 -0500  David Champion  <dgc@uchicago.edu>  (d414971f0c48)

	* .hgignore, Makefile.am, main.c, muttbug.sh.in, txt2c.c, txt2c.sh:
	Add compiler and configure info to mutt -v output (closes #3537)

	Makefile(.am) updated to produce conststrings.c, which contains C
	strings representing:

	* the compiler's own version information;
	* the CFLAGS value from the Make environment
	* the ./configure options

	main.c is updated to print them when running 'mutt -v'.

	txt2c.sh is added to produce conststrings.c. txt2c.sh uses a
	compiled txt2c binary if possible, for complete fidelity to the
	source strings in whatever encoding they may use. If txt2c is not
	available (could not be compiled, or was not compiled natively) it
	falls back on a shell function to approximate the output using sed
	and tr.

2012-07-22 11:15 -0700  Brendan Cully  <brendan@kublai.com>  (70810a88ce9f)

	* muttlib.c: mutt_buffer_init: just memset the buffer (closes #3588)

	This was meant to be part of the previous commit.

2012-07-21 19:51 -0700  Brendan Cully  <brendan@kublai.com>  (99dbd23ce78f)

	* imap/imap.c, imap/util.c, mbyte.c, muttlib.c, parse.c, protos.h:
	Split mutt_buffer_new out of mutt_buffer_init.

	Currently, no callers were providing a non-NULL buffer to
	mutt_buffer_init, and splitting it will allow more sane semantics
	for buffer allocation, initialization, and destruction in a later
	patch.

2012-07-20 12:32 -0700  Brendan Cully  <brendan@kublai.com>  (6d6df167185c)

	* commands.c, hook.c, init.c, pattern.c: Do not use stack-allocated
	space for BUFFERs

	It will cause mutt_buffer_* to segfault if it needs to grow the
	space. Thanks to Steve Losh for discovering the issue. I have done
	some simple grepping to find other cases, but some may remain.

2012-07-08 22:40 -0700  Dan Fandrich  <dan@coneharvesters.com>  (2f2ebc24920d)

	* send.c: Set text_flowed after send-hook has been applied (closes
	#3550)

2012-07-08 22:27 -0700  Brendan Cully  <brendan@kublai.com>  (5bf02605d988)

	* mutt_ssl_gnutls.c: silence some style warnings

2012-07-08 17:34 -0700  Antonio Radici  <antonio@dyne.org>  (33415ca7d976)

	* copy.c, crypt.c, edit.c, enter.c, init.c: Fix some spelling errors
	(closes #3493)

2012-07-08 17:25 -0700  Brendan Cully  <brendan@kublai.com>  (243710db60e0)

	* mutt_ssl_gnutls.c: gnutls:tls_compare_certificates: check strstr for
	failure (closes #3547)

	A malformed certificate file could cause strstr to return an
	unhandled NULL. Thanks to hhorak for the proposed patch. This one is
	similar but avoids using memmem for the first time (I am not sure
	about its portability).

2012-07-07 21:57 -0700  Antonio Radici  <antonio@dyne.org>  (8fabaffc2c00)

	* init.c: check_charset: check for NULL before calling strtok_r
	(closes #3326)

	Otherwise, if strtok_r cannot handle NULL an empty *charset setting
	will segfault

2012-07-07 15:50 -0700  Brendan Cully  <brendan@kublai.com>  (c6a44f4f6a99)

	* imap/auth_sasl.c: Do not use SASL for login unless AUTH=LOGIN is
	advertised (closes #3556)

2012-05-25 22:30 +0200  Marco Paolone  <marcopaolone@gmail.com>  (e452440f92a4)

	* po/it.po: Update Italian translation

2012-05-24 22:02 -0700  Brendan Cully  <brendan@kublai.com>  (0488deb39a35)

	* configure.ac: Remove AM_C_PROTOTYPES from configure.ac (closes
	#3579)

	I doubt we have any users of that macro nowadays. It will be
	interesting to hear about it if we do.

2012-05-23 23:29 -0400  Brendan Cully  <brendan@kublai.com>  (0fb6d7579fd1)

	* account.h: Support passwords of up to 127 characters.

	I received a report on IRC of a failure due to a 64-byte password.

2012-04-29 22:15 -0700  Brendan Cully  <brendan@kublai.com>  (41a8d7dceb6c)

	* mutt_ssl_gnutls.c: gnutls: catch gnutls_init failures

	I haven't actually experienced these, but it seems like a good idea.

2012-04-29 22:14 -0700  Brendan Cully  <brendan@kublai.com>  (aadaeb69cbd0)

	* mutt_sasl.c: give user time to read SASL init error message

2011-12-20 22:24 -0800  TAKAHASHI Tamotsu  <ttakah@lapis.plala.or.jp>  (c26dbc7021f4)

	* po/ja.po: Updated Japanese translation

2011-12-03 11:13 -0800  Dan Fandrich  <dan@coneharvesters.com>  (9e756d1adb76)

	* addrbook.c, browser.c, charset.c, color.c, compose.c, crypt-gpgme.c,
	curs_lib.c, curs_main.c, date.c, enter.c, functions.h, globals.h,
	handler.c, help.c, imap/auth.c, imap/command.c, imap/message.c,
	imap/utf7.c, imap/util.c, init.c, init.h, keymap.c, keymap.h, lib.c,
	mapping.h, mime.h, mutt_ssl.c, pager.c, parse.c, pattern.c,
	pgpkey.c, pgpmicalg.c, pop_auth.c, postpone.c, protos.h, query.c,
	recvattach.c, remailer.c, rfc2047.c, rfc822.c, rfc822.h, sendlib.c,
	url.c: Declare many structures const (closes #3552)

	Many structs used in mutt are actually constant but are defined
	without the 'const' keyword. This can slow initialization (slightly)
	in some environments due to extra copying and increases the amount
	of writable RAM required at run-time, which can be significant on
	non-MMU systems. Using const can also increase the opportunities for
	compiler optimization.

	The attached patch marks many such structures as const. On my test
	x86 build, this reduces the size of .data by over 50%.

2011-12-03 11:07 -0800  Dan Fandrich  <dan@coneharvesters.com>  (1ed2657f6e24)

	* ascii.c: Inline some small, often-used functions (closes #3551)

	When I first sent this patch to the mailing list in 2008, my
	benchmarking found a reduction in startup time of 15%.

2011-11-26 20:41 -0800  Vincent Lefevre  <vincent@vinc17.net>  (d7b14ea9f708)
[--snip--]
